﻿using System;
using Bridge;
using Bridge.Html5;

namespace DataExchange.Tests
{
    public class App
    {
        private const string InterfaceName = "BrApi0";

        static App()
        {
            if (Script.Undefined == (Window.Get(InterfaceName)))
                Window.Set(InterfaceName, new DummyDataExchangeApi());
        }

        public static void Main()
        {
            var dxs = new DataExchangeService(Window.Get<IDataExchangeApi>(InterfaceName));

            var svc = dxs.Create<IInterface1>("Svc1Name");
            svc.Op0(DateTime.Now);
            svc.Op1(new Op1Input());
            svc.Op2(true);
        }
    }
}
